.act-calendar__modal {
    max-width: 375px;
    
    @media (max-width: 576px) {
        top: 0;
        left: 0;
        max-width: 100%;
        transform: none;
        border-radius: 0;
    }

    .modal__header {
        border-bottom: none;
        padding: 24px 24px 0 24px;
    }
    
    .calendar__body {
        padding: 16px 24px 24px 24px;

        @media (max-width: 576px) {
            overflow-y: auto;
            height: calc(100vh - 70px);
            @include scrollbarTransparent;
        }

        .filter-table__select.active {
            .select__list {
                height: max-content;
                max-height: max-content;
            }
        }

        .filter-table__component {
            .select {
                width: 100%;
            }
        }

        .calendar__tabs {
            .calendar__item {
                border: none;
                padding: 0;
                background-color: transparent;
            }
        }

        .calendar__table {
            .calendar {
                .weeks {
                    grid-template-columns: repeat(auto-fill,minmax(40px,1fr));
                }
    
                .days {
                    grid-template-columns: repeat(auto-fill,minmax(40px,1fr));
                }
            }
        }
    }
    
}